classification
Title: test_sqlite fails in 2.6a1 on MacOS X
Type: behavior Stage:
Components: macOS, Tests Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ghaering Nosy List: MrJean1, christian.heimes, ghaering, mark.dickinson
Priority: normal Keywords:

Created on 2008-03-02 01:42 by MrJean1, last changed 2008-03-29 18:51 by ghaering. This issue is now closed.

Messages (6)
msg63175 - (view) Author: Jean Brouwers (MrJean1) Date: 2008-03-02 01:42
One test fails on MacOS X 10.4.11 (Intel) after building 2.6a1 from 
source.

test_sqlite
test test_sqlite failed -- Traceback (most recent call last):
  File "/Users/jean/Tools/Python-2.6a1/Lib/sqlite3/test/regression.py", 
line 118, in CheckWorkaroundForBuggySqliteTransfer
Bindings
    self.con.execute("create table if not exists foo(bar)")
OperationalError: near "not": syntax error


29 tests are skipped (as expected) and 312 pass.
msg63188 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-03-02 22:02
I don't think this is Mac specific---one of the linux buildbots has also 
been having this problem, it seems.  I think it's a result of having
an older version of sqlite3 installed.

My OS X 10.4 box has sqlite3 version 3.1.3 installed, and that
version doesn't support the 'if not exists ...' syntax.

The test works fine on OS X 10.5, with sqlite3 version 3.4.0.

I don't know what Python should be doing for older versions of sqlite3.
msg63190 - (view) Author: Jean Brouwers (MrJean1) Date: 2008-03-02 23:16
Just for the record, the test continues to fail if rerun with 2.6a1.  

However, the (same?) test does *not* fail with 3.0a3 built on the same 
MacOS X system.
msg63191 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-02 23:17
Some modifications to the 2.6 code base didn't make it into 3.0 in time.
See r61141
msg63192 - (view) Author: Jean Brouwers (MrJean1) Date: 2008-03-02 23:21
In addition, the sqlite test did *not* fail with 2.5.2 and 2.5.1 built on 
the same MacOS X machine, about one week resp. several months ago.
msg63196 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-03-03 00:07
r61174 made the tests work with old SQLite versions.
History
Date User Action Args
2008-03-29 18:51:39ghaeringsetstatus: open -> closed
resolution: fixed
2008-03-03 00:07:46ghaeringsetmessages: + msg63196
2008-03-03 00:07:08ghaeringsetmessages: - msg63195
2008-03-03 00:06:46ghaeringsetmessages: + msg63195
2008-03-02 23:21:32MrJean1setmessages: + msg63192
2008-03-02 23:17:46christian.heimessetnosy: + christian.heimes
messages: + msg63191
2008-03-02 23:16:08MrJean1setmessages: + msg63190
2008-03-02 22:02:37mark.dickinsonsetnosy: + mark.dickinson
messages: + msg63188
2008-03-02 01:50:21christian.heimessetpriority: normal
assignee: ghaering
type: behavior
components: + macOS
nosy: + ghaering
2008-03-02 01:42:18MrJean1create